/*
 * Creato il 29-gen-08
 *
 * Per modificare il modello associato a questo file generato, aprire
 * Finestra&gt;Preferenze&gt;Java&gt;Generazione codice&gt;Codice e commenti
 */
package it.finanze.dogane.accise.aautotrasportatori.ui.quadri;

import it.finanze.dogane.accise.ui.quadri.EtichettaQuadro;
import it.finanze.dogane.accise.ui.quadri.QuadroListCellRenderer;

import java.awt.Color;
import java.awt.Component;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.Toolkit;
import java.net.URL;
import javax.swing.DefaultListCellRenderer;
import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JList;

/**
 * @author nsidev59
 *
 * Per modificare il modello associato al commento di questo tipo generato, aprire
 * Finestra&gt;Preferenze&gt;Java&gt;Generazione codice&gt;Codice e commenti
 */
public class QuadroListRendererWithDisabled extends QuadroListCellRenderer{
	
	private static Icon iconV = null;
	private static Icon iconNull = null;
	private static boolean iconInitialized = false;
	
	public Component getListCellRendererComponent(
												JList list, 
												Object value, 
												int index, 
												boolean isSelected, 
												boolean cellHasFocus) {

		if(!(value instanceof EtichettaQuadro)) {
			throw new RuntimeException("La lista "+ list +" contiene un oggetto che non  di tipo EtichettaQuadro. Tipo:" + value.getClass().getName());
		}
		boolean isQuadroA2=false;
		JLabel label = (JLabel)super.getListCellRendererComponent(list, value, index, isSelected, cellHasFocus); 
		if(label!=null && (label.getText().startsWith("Quadro A-2"))) isQuadroA2=true;
		if(!isQuadroA2){
			if(!iconInitialized) {
				URL urlV = getClass().getClassLoader().getResource("it/finanze/dogane/accise/ui/icons/Tick.gif");
				URL urlNull = getClass().getClassLoader().getResource("it/finanze/dogane/accise/ui/icons/Nullo.gif");
				if(urlV != null) {
					iconV = new ImageIcon(urlV);
				}
				if(urlNull != null) {
					iconNull = new ImageIcon(urlNull);
				}
				iconInitialized = true;
			}					
			
		}



		EtichettaQuadro etichettaQuadro = (EtichettaQuadro)value;

		if(label.getText().startsWith("Quadro A-2")) {
			label.setForeground(Color.GRAY);
			label.setFont(new Font(getFont().getFamily(),Font.BOLD | Font.ITALIC,getFont().getSize()+1));
			isQuadroA2=true;
		}
		if(iconV == null || iconNull == null) { // Se non sono stato in grado di leggere le icone
			if(etichettaQuadro.isEmpty()) {
				label.setText("  " + label.getText());
			} else {
				if(!isQuadroA2) label.setText("V " + label.getText());
			}
		} else { // Altrimenti facciamole vedere no?
			if(etichettaQuadro.isEmpty()) {
				if(!isQuadroA2) label.setIcon(iconNull);
				else label.setIcon(iconNull);
			} else {
				if(!isQuadroA2) label.setIcon(iconV);
				else label.setIcon(iconNull);
			}
		}

		if(etichettaQuadro.isComplex()) {
			label.setText(label.getText() + " >>>");
		}

		return label;
	}
	
	

}
