package it.finanze.dogane.accise.ui.actions;

import javax.swing.Action;

public class IngrandisciAction extends BaseAbstractAction {

	private static final String ACTION_COMMAND_KEY_INGRANDISCI = "ingrandisci-command";
	private static final String NAME_INGRANDISCI = "Ingrandisci";
	private static final String SMALL_ICON_INGRANDISCI = "Ingrandire.gif";
	private static final String LARGE_ICON_INGRANDISCI = "Ingrandire.gif";
	private static final String SHORT_DESCRIPTION_INGRANDISCI = "Ingrandisci";
	private static final String LONG_DESCRIPTION_INGRANDISCI = "Ingrandisci la visualizzazione";
	private static final int MNEMONIC_KEY_INGRANDISCI = 'Z';
    
	public IngrandisciAction() {
		putValue(Action.NAME, NAME_INGRANDISCI);
		putValue(Action.SMALL_ICON, getIcon(SMALL_ICON_INGRANDISCI));
		putValue(LARGE_ICON, getIcon(LARGE_ICON_INGRANDISCI));
		putValue(Action.SHORT_DESCRIPTION, SHORT_DESCRIPTION_INGRANDISCI);
		putValue(Action.LONG_DESCRIPTION, LONG_DESCRIPTION_INGRANDISCI);
		putValue(Action.MNEMONIC_KEY, new Integer(MNEMONIC_KEY_INGRANDISCI));
		putValue(Action.ACTION_COMMAND_KEY, ACTION_COMMAND_KEY_INGRANDISCI);
	}

}
