package it.finanze.dogane.accise.ui.actions;

import javax.swing.Action;

public class RiduciAction extends BaseAbstractAction {

	private static final String ACTION_COMMAND_KEY_RIDUCI = "riduci-command";
	private static final String NAME_RIDUCI = "Riduci";
	private static final String SMALL_ICON_RIDUCI = "Ridurre.gif";
	private static final String LARGE_ICON_RIDUCI = "Ridurre.gif";
	private static final String SHORT_DESCRIPTION_RIDUCI = "Riduci";
	private static final String LONG_DESCRIPTION_RIDUCI = "Riduci la visualizzazione";
	private static final int MNEMONIC_KEY_RIDUCI = 'X';
    
	public RiduciAction() {
		putValue(Action.NAME, NAME_RIDUCI);
		putValue(Action.SMALL_ICON, getIcon(SMALL_ICON_RIDUCI));
		putValue(LARGE_ICON, getIcon(LARGE_ICON_RIDUCI));
		putValue(Action.SHORT_DESCRIPTION, SHORT_DESCRIPTION_RIDUCI);
		putValue(Action.LONG_DESCRIPTION, LONG_DESCRIPTION_RIDUCI);
		putValue(Action.MNEMONIC_KEY, new Integer(MNEMONIC_KEY_RIDUCI));
		putValue(Action.ACTION_COMMAND_KEY, ACTION_COMMAND_KEY_RIDUCI);
	}

}
