package it.finanze.dogane.accise.util;


import it.finanze.dogane.accise.model.AbstractRecord;

import java.math.BigInteger;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

public class QuadroUtil {
String a = null;
	public static List getListaQuadro(List listaRecords, int[] tipologieQuadro) {
		List retlist = new LinkedList();
		
		Iterator it = listaRecords.iterator();
		while(it.hasNext()) {
			AbstractRecord record = (AbstractRecord)it.next();
			if(isInQuadro(record.getTipoRecord(), tipologieQuadro)) {
				try {
					retlist.add(record.clone());
				} catch (CloneNotSupportedException e) {
					e.printStackTrace();
					retlist.add(record);
				}
			}
		}

		return retlist;
	}

	public static void removeListaQuadro(List listaRecords, int[] tipologieQuadro) {
		Iterator it = listaRecords.iterator();
		while(it.hasNext()) {
			AbstractRecord record = (AbstractRecord)it.next();
			if(isInQuadro(record.getTipoRecord(), tipologieQuadro)) {
				it.remove();
			}
		}
	}

	public static void addListaQuadro(List listaRecords, List listaQuadro) {
		listaRecords.addAll(listaQuadro);
	}

	public static boolean isInQuadro(BigInteger tipoQuadro, int[] tipologieQuadro) {
		for(int i=0; i < tipologieQuadro.length; i++) {
			if(tipoQuadro.equals(BigInteger.valueOf(tipologieQuadro[i]))) {
				return true;
			}
		}
		return false;
	}
	
	
   

	/*
	public static BigInteger countRecord(List listaRecords, BigInteger tipoRecord) {
		int counter = 0;
		Iterator it = listaRecords.iterator();
		while(it.hasNext()) {
			AbstractRecord record = (AbstractRecord) it.next();
			
			
			if(record.getTipoRecord().equals(tipoRecord)) {
				counter++;
			}
		}
		return BigInteger.valueOf(counter);
	}*/

	public static int countRecord(List listaRecords, int[] tipiRecord) {
		int counter = 0;
		Iterator it = listaRecords.iterator();
		while(it.hasNext()) {
			AbstractRecord record = (AbstractRecord)it.next();
			if(isInQuadro(record.getTipoRecord(), tipiRecord)) {
				counter++;
			}
		}
		return counter;
	}
}
