package it.finanze.dogane.accise.ui;

import java.io.File;

import javax.swing.filechooser.FileFilter;

public class DicFileFilter extends FileFilter {

	public boolean accept(File f) {
		if (f.isDirectory()) {
			return true;
		}

		String extension = getExtension(f);
		if (extension != null && extension.equalsIgnoreCase("dic")) {
			return true;
		} else {
			return false;
		}
	}

	public String getDescription() {
		return "File DIC";
	}


	/*
	* Get the extension of a file.
	*/  
   private String getExtension(File f) {
	   String ext = null;
	   String s = f.getName();
	   int i = s.lastIndexOf('.');

	   if (i > 0 &&  i < s.length() - 1) {
		   ext = s.substring(i+1).toLowerCase();
	   }
	   return ext;
   }
}
